package com.hzya.frame.plugin.contract.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/3/31 11:22
 **/
public class ContractAuditEntity extends BaseEntity {

    //表单id
    private String id;
    //单据号
    private String field0168;
    //合同编号
    private String field0239;
    //合同名称
    private String field0005;
    //流程id
    private String col_summary_id;
    //待办id
    private String affairId;
    //待办表体
    private String subject;
    //节点名称
    private String node_name;
    //节点权限
    private String node_policy;
    //待办接收时间
    private String receive_time;
    //待办完成时间
    private String complete_time;
    //待办状态
    private String state;
    //待办人登录名
    private String login_name;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public String getCol_summary_id() {
        return col_summary_id;
    }

    public void setCol_summary_id(String col_summary_id) {
        this.col_summary_id = col_summary_id;
    }

    public String getAffairId() {
        return affairId;
    }

    public void setAffairId(String affairId) {
        this.affairId = affairId;
    }

    public String getField0168() {
        return field0168;
    }

    public void setField0168(String field0168) {
        this.field0168 = field0168;
    }

    public String getField0239() {
        return field0239;
    }

    public void setField0239(String field0239) {
        this.field0239 = field0239;
    }

    public String getField0005() {
        return field0005;
    }

    public void setField0005(String field0005) {
        this.field0005 = field0005;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getNode_name() {
        return node_name;
    }

    public void setNode_name(String node_name) {
        this.node_name = node_name;
    }

    public String getNode_policy() {
        return node_policy;
    }

    public void setNode_policy(String node_policy) {
        this.node_policy = node_policy;
    }

    public String getReceive_time() {
        return receive_time;
    }

    public void setReceive_time(String receive_time) {
        this.receive_time = receive_time;
    }

    public String getComplete_time() {
        return complete_time;
    }

    public void setComplete_time(String complete_time) {
        this.complete_time = complete_time;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getLogin_name() {
        return login_name;
    }

    public void setLogin_name(String login_name) {
        this.login_name = login_name;
    }
}
